Package: org.gradle.api.artifacts

## [Java] Interface ExternalModuleDependency

- org.gradle.api.artifacts.ModuleDependency

- All Superinterfaces:
    ExternalDependency, ModuleVersionSelector, Dependency, ModuleDependency

  A `ModuleDependency` is a Dependency on a module outside the current project hierarchy.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ExternalModuleDependency` | `copy()` {@inheritDoc}
    `boolean` | `isChanging()` Returns whether or nor Gradle should always check for a change in the remote repository.
    `ExternalModuleDependency` | `setChanging(boolean changing)` Sets whether or nor Gradle should always check for a change in the remote repository.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ExternalDependency` | `copy, isForce, setForce`
    `interface ModuleDependency` | `addArtifact, artifact, copy, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive`
    `interface ModuleVersionSelector` | `getGroup, getName, getVersion, matchesStrictly`

- - ### Method Detail

    - #### public ExternalModuleDependency copy()

      {@inheritDoc}

    - #### public boolean isChanging()

      Returns whether or nor Gradle should always check for a change in the remote repository.

      See Also:
        setChanging(boolean)

    - #### public ExternalModuleDependency setChanging(boolean changing)

      Sets whether or nor Gradle should always check for a change in the remote repository. If set to true, Gradle will check the remote repository even if a dependency with the same version is already in the local cache. Defaults to false.

      Parameters:
        `changing` - Whether or nor Gradle should always check for a change in the remote repository
      Returns:
        this